Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.expr
Class For

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.ForLet
                  org.basex.query.expr.For

    public final class For

extends ForLet

For Clause.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`For(Expr e, Var v, Var p, Var s)` Constructor.

Method Summary
`Expr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`boolean` | `shadows(Var v)` Checks if the specified is not shadowed by another variable.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.expr.ForLet
`color, removable, remove, returned`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, sameAs, size, test, uses`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### For

    public For(Expr e,
               Var v,
               Var p,
               Var s)

  Constructor.

  Parameters:
    `e` - variable input
    `v` - variable
    `p` - positional variable
    `s` - score variable

Method Detail

### comp

    public Expr comp(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Specified by:
    `comp` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

### iter

    public Iter iter(QueryContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item

### shadows

    public boolean shadows(Var v)

  Description copied from class: `ForLet`
  Checks if the specified is not shadowed by another variable.

  Overrides:
    `shadows` in class `ForLet`
  Parameters:
    `v` - variable to be checked
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD